- Opportunity Assessor
- Get prospect analysis aggregate report by prospect analysis ID
Gets prospect analysis aggregate report by prospect analysis ID. The report contains chance of success and resource volumes for the prospect analysis, the enrolled segment level risks and resource volumes, as well as information about associated folders, polygon, and entitlement (block/license).
- https://eu-api.delfi.slb.com/sparhttps://eu-api.delfi.slb.com/spar/assessments/v1/prospectanalysisaggregation/{id}
- Mock serverhttps://developer.slb.com/_mock/solutions/opportunity-assessor/apis/reporting-by-unit-and-analysis/assessments/v1/prospectanalysisaggregation/{id}
curl -i -X GET \
'https://eu-api.delfi.slb.com/spar/assessments/v1/prospectanalysisaggregation/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-contract-id: My-contract-ID'OK
The real name of the user who most recently modified the analysis aggregation.
The version of the prospect analysis aggregation. Permitted values are approved (A), historic (H), working (W) and test (T).
A data transfer object (DTO) representing input settings for aggregating analyses.
A data transfer object (DTO) representing prospect analysis aggregation.
A data transfer object (DTO) representing the collection of parent basin and play folders of an aggregated folder.
The outer ring of the polygon representing this prospect. If there is a polygon data, this has to be filled.
The entitlements of the enrolled analyses.
{
"id": 0,
"name": "string",
"modifiedDate": "2019-08-24T14:15:22Z",
"modifiedUserName": "string",
"modifiedRealName": "string",
"createdDate": "2019-08-24T14:15:22Z",
"createdUserName": "string",
"createdRealName": "string",
"prospectId": 0,
"prospectName": "string",
"version": "string",
"useHcPhaseRisking": true,
"input": {
"resourceLimits": {
"useScreeningThreshold": true,
"hcType": "string",
"volume": 0.1
}
},
"analysisResult": {
"successDiscovery": 0.1,
"aboveScreeningThreshold": 0.1,
"wellPath": 0.1,
"results": {
"property1": {
"mean": 0.1,
"probabilityValues": {
"property1": null,
"property2": null
}
},
"property2": {
"mean": 0.1,
"probabilityValues": {
"property1": null,
"property2": null
}
}
},
"oilOnly": 0.1,
"gasOnly": 0.1,
"oilAndGas": 0.1,
"dfiRiskSummaries": [
{
"enrolledAnalysisId": 0,
"initial": 0.1,
"standAloneWithDFI": 0.1,
"inProspectWithDFI": 0.1
}
]
},
"properties": {
"property1": {
"label": "string",
"value": "string",
"propertyType": "Text"
},
"property2": {
"label": "string",
"value": "string",
"propertyType": "Text"
}
},
"folderDetails": {
"basins": [
{
"id": 0,
"name": "string"
}
],
"plays": [
{
"id": 0,
"name": "string"
}
]
},
"crsId": 0,
"innerRings": [
"string"
],
"outerRing": "string",
"entitlements": [
{
"licenseId": 0,
"label": "string",
"segmentId": 0,
"segmentName": "string",
"licenseVersion": 0,
"block": "string",
"wiShare": 0.1,
"netShare": 0.1,
"useOilEquivalentsCoverage": true,
"useMultipleFactor": true,
"oilEquivalentsSingleFactor": 0.1,
"analysisId": 0,
"analysisName": "string",
"analysisType": "string"
}
],
"risks": [
[
{
"identifier": "string",
"probability": 0.1,
"name": "string",
"justification": "string",
"type": "string",
"category": "string",
"segmentId": 0,
"segmentName": "string"
}
]
]
}